Bug 83579 - TOOLBAR: 'Extrusion On/Off' should be added to Fontwork toolbar
Summary: TOOLBAR: 'Extrusion On/Off' should be added to Fontwork toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords: patch
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2014-09-07 03:23 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-05 09:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
patched fontworkobjectbar.xml (744 bytes, patch)
2014-09-07 03:23 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-07 03:23:18 UTC
Created attachment 105851 [details]
patched fontworkobjectbar.xml

When a user adds an object from the fontwork gallery (insert > image > fontwork gallery) that is 3D, the 3D-Settings toolbar appears, but if the 'Extrusion On/Off' (.uno:ExtrusionToggle) button is pressed in the 3D-Settings toolbar to turn off the 3d effect, the 3D-Settings toolbar disappears and there isnt a means to re-enable the 3d effect from the Fontwork toolbar. So i'd like to suggest that 'Extrusion On/Off' button be added to the Fontwork toolbar.
Comment 1 Julien Nabet 2014-09-07 14:25:51 UTC
Thank you Jay for your bugtracker.

@ux-advise:
1) Are you ok with Jay suggestion?
2) If yes, there are several fontworkobjectbar.xml, see http://opengrok.libreoffice.org/search?q=&project=core&defs=&refs=&path=fontworkobjectbar.xml+&hist=, should the patch be applied to every of them?
Comment 2 Yousuf Philips (jay) (retired) 2014-09-07 14:37:22 UTC
(In reply to comment #1)
> Thank you Jay for your bugtracker.

Your welcome. :)

> 2) If yes, there are several fontworkobjectbar.xml, see
> http://opengrok.libreoffice.org/
> search?q=&project=core&defs=&refs=&path=fontworkobjectbar.xml+&hist=, should
> the patch be applied to every of them?

Its not needed in Impress or Draw as 'extrusion on/off' is in the drawing toolbar, which in these two apps, the toolbar is open by default.
Comment 3 tommy27 2014-10-19 18:38:21 UTC
sounds reasonable. status NEW.
Comment 4 Yousuf Philips (jay) (retired) 2014-10-20 10:14:15 UTC
Patch put in for all modules, as its best to be safe then sorry. :D
https://gerrit.libreoffice.org/12046
Comment 5 Julien Nabet 2014-10-21 17:25:36 UTC
The patch https://gerrit.libreoffice.org/12046 has been merged on master sources.